\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

932

W. M. KEMPA

can be partially accepted (according to the dropping procedure) even when the batch size is larger than the number of available free positions in the buffer. In the case of batch arrivals we additionally assume that all packets belonging to the same arriving batch are dropped with the same probability depending on the queue size just before the batch arrival.

3. STEADY-STATE QUEUE-SIZE DISTRIBUTION

In this section we deal with the steady-state queue size distribution. We consider cases of individual and batch arrivals separately.

3.1. Individual arrivals

Let us call the `(ordinary'' one the system without dropping of packets. The steady- state queue size probabilities $\pi_{k}, k = 0$, 1, . . . , $N$ for the `(ordinary'' system can be obtained from the following equilibrium equations:

$\left\{\begin{array}{l}
\lambda\pi_{0}\ =\ \mu\pi_{1},\\
(\lambda+\mu)\pi_{k}\ =\ \lambda\pi_{k-1}+\mu\pi_{k+1},\\
\mu\pi_{N}\ =\ \lambda\pi_{N-1}
\end{array}\right.$

$1\leq k\leq N-1$, (1)

and hence the following well known result (see for example $\lfloor 11_{\lrcorner}$) can be obtained:
\begin{center}
$\displaystyle \pi_{k}=\ \frac{(1-\rho)\rho^{k}}{1-\rho^{N+1}},\ 0\leq k\leq N$,   (2)
\end{center}
where $\rho= \displaystyle \frac{\lambda}{\mu}$ denotes the occupation rate of the system.

Now let us assume that the arriving packet which finds $k$ packets present in the system is dropped with probability $d_{k}, k = 0$, 1, . . . , $N$. The system of equilibrium equations for the steady-state queue-size probabilities $\hat{\pi}_{k}$ takes the following form:

$\left\{\begin{array}{l}
\lambda(1-d_{0})\hat{\pi}_{0}\ =\ \mu\hat{\pi}_{1},\\
{[}\lambda(1-d_{k})+\mu]\hat{\pi}_{k}\ =\ \lambda(1-d_{k-1})\hat{\pi}_{k-1}+\mu\hat{\pi}_{k+1},\\
\mu\hat{\pi}_{N}\ =\ \lambda(1-d_{N-1})\hat{\pi}_{N-1}.
\end{array}\right.$

$1\leq k\leq N-1$, (3)

Hence we get
\begin{center}
$\hat{\pi}_{k}= \displaystyle \frac{\lambda^{k}}{\mu^{k}}\prod_{i=0}^{k\mathrm{Y}}(1-d_{i})\hat{\pi}_{0}, k=1$, 2, . . . $N$.   (4)
\end{center}
From the condition
$$
\sum_{k=0}^{N}\hat{\pi}_{k}=1
$$
we easily find
\begin{center}
$\displaystyle \hat{\pi}_{0}=\ (1+\sum_{k=1}^{N}\rho^{k}\prod_{i=0}^{k-1}(1-d_{i}))^{-1}$   (5)
\end{center}\end{document}
